> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update Transaction

`POST /restapi/{apiVersion}/signature/updatetransaction`

This call allows the Trust Service Provider (TSP) to notify Docusign of an error during signing.

## Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

| Name                        | Type   | Description                                                                                                                     |
| --------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| Authentication              | String | Required. See [Authentication](/docs/tsp-api/tsp101/tsp-authentication)                                                         |
| Content-Type                | String | Required. Specifies the type of data returned in the request body. This parameter must be set to `application/json`.            |
| X-Docusign-CorrelationToken | GUID   | Optional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls. |

## Request Body Parameters

This table provides descriptions of the information in the request body.

| Name    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| message | Optional. String holding a log. Logged to the Audit Log as a Signing Provider Update and logged to internal monitoring.                                                                                                                                                                                                                                                                                                                                                                    |
| code    | Optional. String holding a Trust Server Provider (TSP) specific internal error code. Logged to internal monitoring.                                                                                                                                                                                                                                                                                                                                                                        |
| state   | Optional. String indicating the type of update. The possible values are:- error: An error is logged and an alert is sent out. The user will see an error dialog and may retry.
- warning: The user may retry by clicking Continue in Signing. No UI to the user
- info: intended for logging rather than controlling UI
- authenticationerror: Envelope is voided. Upon redirecting to signing an error message is displayed. The user is taken to envelope void location upon clicking OK |

## Response Information

If successful, this returns `completeSignResponse`. The table below provides descriptions of the information in the response. Upon navigating to the `redirectionUrl` in the response UI will appear according to the `status` of the request.

| Name           | Type   | Description                                                 |
| -------------- | ------ | ----------------------------------------------------------- |
| redirectionUrl | String | The URL the user is redirected to after signing completion. |

**`Request syntax`**

```json title="Request syntax"
{
  "message": "string",
  "code": "string",
  "state": "string"
}
```

**`Response syntax`**

```json title="Response syntax"
{
"redirectionUrl":"string",
}
```